%define wikidir %{_var}/www/mediawiki

Name: mediawiki
Version: 1.8.4
Release: 8%{?dist}
Summary: A wiki engine

Group: Applications/Internet
License: GPL
URL: http://www.mediawiki.org/
Source0: http://dl.sourceforge.net/sourceforge/wikipedia/mediawiki-%{version}.tar.gz
Source1: mediawiki-httpd.conf
Source2: mediawiki-install.txt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: httpd
Requires: php >= 5
Requires: php-mysql
Requires: php-gd, diffutils, ImageMagick
# to make sure the "apache" group is created before mediawiki is installed
Requires(pre): httpd

%description
MediaWiki is the software used for Wikipedia (http://www.wikipedia.org) and
the other Wikimedia Foundation websites. Compared to other wikis, it has a
wide range of features and support for high-traffic websites using
multiple servers.

Mathematics support is included in the package mediawiki-math.

%package math
Summary: Mathematical formula support for MediaWiki
Group: Applications/Internet

BuildRequires: ocaml >= 3.06
Requires: mediawiki = %{version}-%{release}
Requires: ImageMagick, tetex-latex, tetex-dvips

%description math
This package includes the support for mathematical formulas in MediaWiki.

%prep
%setup -q
install -D -m 644 %{SOURCE2} ./INSTALL.fedora
rm -rf tests includes/zhtable skins/disabled
rm -f `find -name ".[ch]*"`

%build
cd math
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{wikidir}
#cp -pr *.php config extensions images includes languages serialized %{buildroot}%{wikidir}
#cp -pr maintenance skins [[:lower:]]*.* %{buildroot}%{wikidir}
cp -a * %{buildroot}%{wikidir}/
rm -fr %{buildroot}%{wikidir}/docs %{buildroot}%{wikidir}/math
find %{buildroot} -name .svnignore | xargs -r rm
%{__chmod} 755 %{buildroot}%{wikidir}/maintenance/*.pl

install -d %{buildroot}%{wikidir}/math
install math/texvc %{buildroot}%{wikidir}/math

install -D -m 644 %{SOURCE1} \
  %{buildroot}%{_sysconfdir}/httpd/conf.d/mediawiki.conf

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING FAQ HISTORY README RELEASE-NOTES UPGRADE
%doc INSTALL.fedora
%doc docs

%config(noreplace) %{_sysconfdir}/httpd/conf.d/mediawiki.conf

%dir %{wikidir}
%{wikidir}/[^cd]*[^h]
%attr(770,root,apache) %dir %{wikidir}/config
%{wikidir}/config/index.php


%files math
%defattr(-,root,root,-)
%dir %{wikidir}/math
%doc math/README math/TODO
%{wikidir}/math/texvc


%changelog
* Thu Feb 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.4-8
- Update to 1.8.4.

* Tue Jan  9 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.3-7
- Update to 1.8.3.
- Update fixes an XSS injection vulnerability in the AJAX module.

* Thu Nov 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.2-6
- Crude all-in-opt-out file inclusion policy for now to quick-fix some
  open bugs.

* Thu Nov 2 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.2-5
- Fix depenencies, add versions.
- Add missing *.php files.
- Cosmetic changes.

* Sat Oct 14 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.2-4
- Update to 1.8.2.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.1-3
- Update to 1.8.1.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.0-2
- Update to 1.8.0.
- And php-gd, diffutils, ImageMagick as dependencies

* Mon Apr 03 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.8-1
- Update to upstream 1.5.8 (contains security fixes)

* Thu Mar 02 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.7-1
- Update to upstream 1.5.7

* Mon Feb 13 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-6
- Rebuild for Fedora Extras 5

* Mon Feb 06 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-5
- Put internal doc files in the right directory, renaming it
 back to docs (#180177)

* Sat Feb 04 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-4
- Use Requires(pre) instead of PreReq (Mike McGrath)

* Thu Feb 02 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-3
- Refactor the %%files section (Mike McGrath)
- Replace "/etc" with macro
- Package docs under %%{_defaultdocdir}/internals
- Minor change in description

* Tue Jan 31 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-2
- Add %%defattr for -math subpackage
- Fixed typo in description

* Tue Jan 31 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-1
- Update to upstream 1.5.6

* Sun Jan 15 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-3
- Add PreReq for httpd, since we use the apache user
- Make mediawiki-math dependencies more specific
- Package documentation for mediawiki-math

* Sat Jan 14 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-2
- Separate math support into a subpackage

* Thu Jan 12 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-1
- Initial packaging
